Bug 46882 - [4.2] Password dialog cannot be confirmed by pressing Enter - mouse click is required
[4.2] Password dialog cannot be confirmed by pressing Enter - mouse click is ...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Ole Schwiegert
Dirk Wiesenthal
:
Depends on: 46735
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-25 13:51 CEST by Sönke Schwardt-Krummrich
Modified: 2018-05-08 14:57 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.017
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2018-04-25 13:51:34 CEST
Please backport your fix to UCS 4.2-3.

+++ This bug was initially created as a clone of Bug #46735 +++

If the UMC user has logged on via SAML, there is no cleartext password available within the UMC modules. The exam module requires the password to establish a UMCP connection to the DC master. To get the required cleartext password, the user is asked before starting the exam by using the decorator "require_password" for "start_exam()".

This password dialog cannot be confirmed by pressing "Enter" after entering the password. A mouse click at the login button is required. 

Expected behaviour: pressing "Enter" should be sufficient
Comment 1 Ole Schwiegert univentionstaff 2018-04-26 12:37:45 CEST
Package: univention-management-console
Version: 9.0.80-94A~4.2.0.201804261233
Comment 2 Quality Assurance univentionstaff 2018-05-04 16:54:43 CEST
--- mirror/ftp/4.2/unmaintained/component/4.2-3-errata/source/univention-management-console_9.0.80-93A~4.2.0.201803081035.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/univention-management-console_9.0.80-94A~4.2.0.201804261233.dsc
@@ -1,6 +1,10 @@
-9.0.80-93A~4.2.0.201803081035 [Thu, 08 Mar 2018 10:35:34 +0100] Univention builddaemon <buildd@univention.de>:
+9.0.80-94A~4.2.0.201804261233 [Thu, 26 Apr 2018 12:33:38 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. No patches were applied to the original source package
+
+9.0.80-94 [Thu, 26 Apr 2018 12:25:34 +0200] Ole Schwiegert <schwiegert@univention.de>:
+
+  * Bug #46882: Improve usability of requirePassword login dialog
 
 9.0.80-93 [Thu, 08 Mar 2018 10:25:45 +0100] Jürn Brodersen <brodersen@univention.de>:
Comment 3 Dirk Wiesenthal univentionstaff 2018-05-06 01:49:30 CEST
Works.

I have rephrased the YAML. Only use one bulletin per bug. Do not use technical phrases like widget ids. These YAMLs are meant for UCS admins to get an idea what they are installing. You may put technical stuff in debian/changelog, if you like. Also, line length is limited to 77 (I think 78 including \n, but I am not entirely sure)
Comment 4 Arvid Requate univentionstaff 2018-05-08 14:57:11 CEST
<http://errata.software-univention.de/ucs/4.2/410.html>